接口说明
返回全量球员的转会数据,可根据时间戳增量获取新增或变动的数据
1、首次全量更新,根据参数id获取全量数据
2、后续增量更新,根据参数time增量获取变动数据(建议请求频次:1min/次)
1、首次全量更新,根据参数id获取全量数据
2、后续增量更新,根据参数time增量获取变动数据(建议请求频次:1min/次)
调用信息
- 请求
GET https://api.sports.csap.ai/api/v1/players/transfers- 鉴权
- 请求头 X-API-Key: <你的 key>(也支持 Authorization: Bearer <key>;?key= 仍可用但不建议,key 会留在地址和日志里)
- 外部 key
- 可调用所有有效的 key 都能调用。
- 频率限制
- 每分钟 3000 次 · 每天 200000 次 · 按 key 配置(以 /api/v1/account 返回的 rate_per_min、quota_daily 为准;上面是试用 key 的值),超出回 429。另外整表快照、不带比赛 id 的统计列表等重型请求全站同时只处理 2 个,排不上回 429 + Retry-After。响应里暂时没有 X-RateLimit-* 头。 详见通用说明
请求参数 3
| 参数 | 类型 | 必填 | 示例 | 说明 |
|---|---|---|---|---|
| id | integer | 可选 | 6917 | 查询大于等于id的记录,根据id排序 |
| time | integer | 可选 | 查询大于等于更新时间的记录(时间戳),根据更新时间排序 | |
| limit | integer | 可选 | 2 | 返回数据最大数,默认为100,最大为100 |
请求示例
curl "https://api.sports.csap.ai/api/v1/players/transfers?limit=2" \ -H "X-API-Key: YOUR_API_KEY"
在线调试
示例返回
{
"code": 0,
"data": [
{
"fee_desc": "contract",
"fee_eur": 85000,
"from_team": "Al-Jazira",
"from_team_id": null,
"from_team_name": "Al-Jazira",
"id": 1,
"limit": null,
"max_id": null,
"max_time": null,
"min_id": null,
"min_time": null,
"player_id": "1022363",
"player_name": "Ahmed Mahmoud",
"query": null,
"source": "S4",
"time": null,
"to_team": "Khorfakkan",
"to_team_id": null,
"to_team_name": "Khorfakkan",
"transfer": null,
"transfer_date": "2026-09-29T07:32:59Z",
"transfer_desc": "contract",
"transfer_fee": 85000,
"transfer_time": "2026-09-29T07:32:59Z",
"transfer_type": 1,
"type": 1,
"updated_at": 1793707041523
},
{
"fee_desc": "contract",
"fee_eur": null,
"from_team": "San Jose",
"from_team_id": null,
"from_team_name": "San Jose",
"id": 2,
"limit": null,
"max_id": null,
"max_time": null,
"min_id": null,
"min_time": null,
"player_id": "1037535",
"player_name": "Hernán López",
"query": null,
"source": "S4",
"time": null,
"to_team": "Argentinos Juniors",
"to_team_id": null,
"to_team_name": "Argentinos Juniors",
"transfer": null,
"transfer_date": "2026-10-21T11:33:14Z",
"transfer_desc": "contract",
"transfer_fee": null,
"transfer_time": "2026-10-21T11:33:14Z",
"transfer_type": 1,
"type": 1,
"updated_at": 1793707041543
}
],
"message": "success",
"success": true
}返回字段 27
fee_descstring转会费说明
示例: "contract"fee_eurinteger可为空转会费(欧元)
示例: 85000from_teamstring转出球队
示例: "Al-Jazira"from_team_idnull可为空转出球队id
from_team_namestring转出球队名称
示例: "Al-Jazira"idinteger记录 id;翻页游标(id 参数取 >= 此值的记录)。比赛类接口里是我方比赛 id(gmid)
示例: 1limitnull可为空本次最多返回条数
max_idnull可为空本页最大 id
max_timenull可为空本页最大更新时间(Unix 秒)
min_idnull可为空本页最小 id
min_timenull可为空本页最小更新时间(Unix 秒)
player_idstring球员 id
示例: "1022363"player_namestring球员名
示例: "Ahmed Mahmoud"querynull可为空查询信息(翻页游标、总数)
sourcestring数据来源代号(S1、S2…)
示例: "S4"timenull可为空时间 / 分钟
to_teamstring转入球队
示例: "Khorfakkan"to_team_idnull可为空转入球队id
to_team_namestring转入球队名称
示例: "Khorfakkan"transfernull可为空球员转会列表
transfer_datestring转会日期
示例: "2026-09-29T07:32:59Z"transfer_descstring转会描述(含单位)
示例: "contract"transfer_feeinteger可为空转会费用
示例: 85000transfer_timestring转会时间
示例: "2026-09-29T07:32:59Z"transfer_typeinteger转会类型,1-租借、2-租借结束、3-转会、4-退役、5-选秀、6-已解约、7-已签约、8-未知
示例: 1typeinteger类型
示例: 1updated_atinteger最后更新时间(UTC,ISO 8601;增量同步用 time 参数按它取)
示例: 1793707041523错误码
| HTTP | message | 场景 |
|---|---|---|
| 401 | missing API key / unauthorized | 没带 X-API-Key 或 key 无效、已停用 |
| 400 | bad param … | 参数格式不对(如 id 不是数字或 u<uid>) |
| 301 | match merged into <gmid> | 按旧比赛 id 查,这场已合并到新 gmid:Location 指向新地址,返回体带 moved_to |
| 404 | not found | 比赛 / 球队 / 赛事不存在,或不在这个 key 的可见范围内(外部 key 只能看到开放范围内的比赛) |
| 429 | rate limit exceeded / daily quota exceeded | 超过 key 的每分钟次数或每日配额 |
| 429 | server busy, retry later | 服务端并发名额已满(重型请求同时只有 2 个),按 Retry-After 秒后重试 |
| 500 | query error | 服务端查询失败,可重试 |